import React, { Component } from "react";
import { withStyles } from "@material-ui/core/styles";
import compose from "recompose/compose";
import { withRouter } from "react-router-dom";
import Input from "@material-ui/core/Input";
import InputLabel from "@material-ui/core/InputLabel";
import InputAdornment from "@material-ui/core/InputAdornment";
import FormControl from "@material-ui/core/FormControl";
import TextField from "@material-ui/core/TextField";
import Grid from "@material-ui/core/Grid";
import AccountCircle from "@material-ui/icons/AccountCircle";
import AddPhotoAlternateIcon from "@material-ui/icons/AddPhotoAlternate";
import MailOutlineIcon from "@material-ui/icons/MailOutline";
import VpnKeyIcon from "@material-ui/icons/VpnKey";
import Button from "@material-ui/core/Button";
import TextareaAutosize from "@material-ui/core/TextareaAutosize";
import ContactPhoneIcon from "@material-ui/icons/ContactPhone";
import BusinessIcon from "@material-ui/icons/Business";
import Fab from "@material-ui/core/Fab";
import EditIcon from "@material-ui/icons/Edit";
import Paper from "@material-ui/core/Paper";
import CardMedia from "@material-ui/core/CardMedia";
import MenuItem from "@material-ui/core/MenuItem";
import PhotoCameraIcon from "@material-ui/icons/PhotoCamera";
import Avatar from "react-avatar";

const styles = theme => ({
  margin: {
    margin: theme.spacing(1)
  },
  root: {
    "& .MuiTextField-root": {
      margin: theme.spacing(1),
      width: 200
    }
  }
});

const currencies = [
  {
    value: "1",
    label: "    กรุณาเลือกประเภท     "
  },
  {
    value: "2",
    label: "สปาและนวด"
  },
  {
    value: "3",
    label: "ผิวหน้า"
  },
  {
    value: "4",
    label: "ขนตาและคิ้ว"
  },
  {
    value: "5",
    label: "ทำเล็บ"
  },
  {
    value: "6",
    label: "ชาลอน"
  },
  {
    value: "7",
    label: "แต่งหน้าทำผม"
  }
];

class Datashop extends Component {
  state = {
    currency: "1"
  };

  handleChange = event => {
    this.setState({
      currency: event.target.value
    });
  };

  render() {
    const { classes } = this.props;
    const { currency } = this.state;
    return (
      <div className="row center">
        <div className="row mt-2 mb-2">
          <h2>ข้อมูลร้าน</h2>
        </div>
        <br />
        <div className="row mt-2 mb-2">
          <div className="col s12 m6 l12">
            <div className="row center">
              <h4>ข้อมูทั่วไป</h4>
            </div>
            <div className="row center">
              <br />

              <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcRGzUPvW-KAdZI6KiIyh-HHSKtqKRGSWcP3vDqHUd2Sn2F3SHwr" />
            </div>
            <div className="row center">
              <Button variant="outlined" color="primary">
                <PhotoCameraIcon />
                แก้ไขรูปภาพร้าน
              </Button>
            </div>
          </div>
          <div className="col s12 m6 l12">
            <div ClassName="row">
              <TextField
                className={classes.margin}
                id="outlined-uncontrolled"
                label="ชื่อร้าน"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <AccountCircle />
                    </InputAdornment>
                  )
                }}
              />

              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="เวลาเปิดร้าน"
                autoComplete="Phone number"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <ContactPhoneIcon />
                    </InputAdornment>
                  )
                }}
              />
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="เวลาปิดร้าน"
                autoComplete="Phone number"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <ContactPhoneIcon />
                    </InputAdornment>
                  )
                }}
              />
            </div>
            <br />
            <div>
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="เบอร์โทรร้าน"
                autoComplete="address"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <BusinessIcon />
                    </InputAdornment>
                  )
                }}
              />
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="ที่อยู่ร้าน"
                autoComplete="Phone number"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <ContactPhoneIcon />
                    </InputAdornment>
                  )
                }}
              />
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="รายละเอียดร้าน"
                autoComplete="address"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <BusinessIcon />
                    </InputAdornment>
                  )
                }}
              />
            </div>
            <br />
            <div>
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="GoogleMap"
                autoComplete="address"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <BusinessIcon />
                    </InputAdornment>
                  )
                }}
              />
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="Facebook"
                autoComplete="address"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <BusinessIcon />
                    </InputAdornment>
                  )
                }}
              />
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                select
                label="ประเภทของร้าน"
                value={currency}
                onChange={this.handleChange}
                SelectProps={{
                  native: true
                }}
                variant="outlined"
                
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <BusinessIcon />
                    </InputAdornment>
                  )
                }}
              >{currencies.map(option => (
                <option key={option.value} value={option.value}>
                  {option.label}
                </option>
              ))}</TextField>
             
            </div>
            <br></br>

            <div className="row">
              <div className={classes.root}>
                <Button variant="contained" color="secondary">
                  ยกเลิก
                </Button>{" "}
                &nbsp; &nbsp; &nbsp;
                <Button variant="contained" color="primary">
                  ตกลง
                </Button>
                &nbsp; &nbsp; &nbsp;
                <Fab color="secondary" aria-label="edit">
                  <EditIcon />
                </Fab>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }
}
export default compose(withStyles(styles), withRouter)(Datashop);
