import React, { Component } from "react";
import { withStyles, makeStyles } from "@material-ui/core/styles";
import {
  Dialog,
  Button,
  DialogActions,
  DialogContent,
  DialogContentText,
  DialogTitle,
  Paper,
  InputBase,
  Divider,
  IconButton
} from "@material-ui/core";
import AppBra from "../../../components/AppBra";
import { withRouter } from "react-router-dom";
import compose from "recompose/compose";
import { th } from "date-fns/locale";
import { format } from "date-fns";
import { MenuIcon } from "@material-ui/icons/Menu";
import Fab from "@material-ui/core/Fab";
import AddIcon from "@material-ui/icons/Add";
import Table from "@material-ui/core/Table";
import TableBody from "@material-ui/core/TableBody";
import TableCell from "@material-ui/core/TableCell";
import TableContainer from "@material-ui/core/TableContainer";
import TableHead from "@material-ui/core/TableHead";
import TableRow from "@material-ui/core/TableRow";
import DeleteIcon from "@material-ui/icons/Delete";
import EditIcon from "@material-ui/icons/Edit";
import Input from "@material-ui/core/Input";
import InputLabel from "@material-ui/core/InputLabel";
import InputAdornment from "@material-ui/core/InputAdornment";
import FormControl from "@material-ui/core/FormControl";
import TextField from "@material-ui/core/TextField";
import Grid from "@material-ui/core/Grid";
import AccountCircle from "@material-ui/icons/AccountCircle";
import AddPhotoAlternateIcon from "@material-ui/icons/AddPhotoAlternate";
import MailOutlineIcon from "@material-ui/icons/MailOutline";
import VpnKeyIcon from "@material-ui/icons/VpnKey";
import TextareaAutosize from "@material-ui/core/TextareaAutosize";
import ContactPhoneIcon from "@material-ui/icons/ContactPhone";
import BusinessIcon from "@material-ui/icons/Business";

import MaterialTable from "material-table";

const styles = theme => ({
  root: {
    height: 150,
    flexGrow: 1,
    transform: "translateZ(0)",
    // The position fixed scoping doesn't work in IE 11.
    // Disable this demo to preserve the others.
    "@media all and (-ms-high-contrast: none)": {
      display: "none"
    }
  },
  modal: {
    display: "flex",
    padding: theme.spacing(1),
    alignItems: "center",
    justifyContent: "center"
  },
  fab: {
    position: "absolute",
    bottom: theme.spacing(2),
    right: theme.spacing(2)
  }
});
const StyledTableCell = withStyles(theme => ({
  head: {
    backgroundColor: theme.palette.common.black,
    color: theme.palette.common.white
  },
  body: {
    fontSize: 14
  }
}))(TableCell);

const StyledTableRow = withStyles(theme => ({
  root: {
    "&:nth-of-type(odd)": {
      backgroundColor: theme.palette.background.default
    }
  }
}))(TableRow);

function createData(name, email, address, phonenumber, edit, action) {
  return { name, email, address, phonenumber, edit, action };
}

const rows = [
  createData(
    "Frozen yoghurt",
    "email@mmmj",
    "ที่อยู่ 120/255 มหาวิทยาลัยุบลราชธานี ",
    " 012455887",
    <EditIcon />,
    <DeleteIcon />
  )
];

const useStyles = makeStyles({
  table: {
    minWidth: 700
  }
});

class Databeautician extends Component {
  state = {
    open: false,
    columns: [
      { title: "ชื่อคนจอง", field: "name" },
      { title: "รายการจอง", field: "list" },
      { title: "วัน/เดือน/ปี ที่จอง", field: "dete" },
      { title: "เวลาที่จอง", field: "time" },

      { title: "ช่างที่จอง", field: "booking" }
    ],
    data: [
      { name: "Mehmet", surname: "Baran", birthYear: 1987, birthCity: 63 },
      {
        name: "Zerya Betül",
        surname: "Baran",
        birthYear: 2017,
        birthCity: 34
      }
    ]
  };
  handleClickOpen = () => {
    this.setState({
      open: true
    });
  };
  handleClose = () => {
    this.setState({
      open: false
    });
  };
  handleCloseAndSave = () => {
    //Save to db

    this.setState(prevState => {
      const data = [...prevState.data];
      const newData = {
        name: "Mehmet",
        surname: "Baran",
        birthYear: 1987,
        birthCity: 63
      };
      data.push(newData);
      return { ...prevState, data: data, open: false };
    });

    // this.setState({
    //   open: false
    // });
  };
  componentDidMount = () => {
    let { pathname } = this.props.location;
    pathname = pathname.substring(1, pathname.length);
    // console.log('pathname', pathname)
  };

  render() {
    const { classes } = this.props;

    const { open, columns, data } = this.state;
    return (
      <div>
        <MaterialTable
          title="จัดการคิว"
          columns={columns}
          data={data}
          options={{
            selection: false
          }}
          editable={{
            // onRowAdd: newData =>
            //  new Promise(resolve => {
            //     setTimeout(() => {
            //      resolve();
            //     this.setState(prevState => {
            //      const data = [...prevState.data];
            //      data.push(newData);
            //      return { ...prevState, data };
            //   });
            // }, 600);
            // }),
            onRowUpdate: (newData, oldData) =>
              new Promise(resolve => {
                setTimeout(() => {
                  resolve();
                  if (oldData) {
                    this.setState(prevState => {
                      const data = [...prevState.data];
                      data[data.indexOf(oldData)] = newData;
                      return { ...prevState, data };
                    });
                  }
                }, 600);
              }),
            onRowDelete: oldData =>
              new Promise(resolve => {
                setTimeout(() => {
                  resolve();
                  this.setState(prevState => {
                    const data = [...prevState.data];
                    data.splice(data.indexOf(oldData), 1);
                    return { ...prevState, data };
                  });
                }, 600);
              })
          }}
        />
        <div className="row">
          <Fab
            aria-label={"add"}
            className={classes.fab}
            color="primary"
            onClick={this.handleClickOpen}
          >
            <AddIcon />
          </Fab>

          <Dialog
            open={open}
            onClose={this.handleClose}
            aria-labelledby="alert-dialog-title"
            aria-describedby="alert-dialog-description"
          >
            <DialogTitle id="alert-dialog-title">{"ลงทะเบียนช่าง"}</DialogTitle>
            <DialogContent>
              <TextField
                className={classes.margin}
                id="outlined-uncontrolled"
                label="ชื่อ-สกุล"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <AccountCircle />
                    </InputAdornment>
                  )
                }}
              />
              <br /> <br />
              <TextField
                className={classes.margin}
                id="outlined-uncontrolled"
                label="E_mail"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <MailOutlineIcon />
                    </InputAdornment>
                  )
                }}
              />
              <br /> <br />
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="Password"
                type="password"
                autoComplete="current-password"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <VpnKeyIcon />
                    </InputAdornment>
                  )
                }}
              />
              <br /> <br />
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="Confirm-Password"
                type="password"
                autoComplete="current-password"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <VpnKeyIcon />
                    </InputAdornment>
                  )
                }}
              />
              <br /> <br />
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="ที่อยู่"
                autoComplete="address"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <BusinessIcon />
                    </InputAdornment>
                  )
                }}
              />
              <br /> <br />
              <TextField
                className={classes.margin}
                id="outlined-password-input"
                label="เบอร์โทร"
                autoComplete="Phone number"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <ContactPhoneIcon />
                    </InputAdornment>
                  )
                }}
              />
              <br /> <br />
              <TextField
                className={classes.margin}
                id="outlined-file-input"
                label="เพิ่มรูปภาพ"
                type="file"
                autoComplete="current-password"
                variant="outlined"
                InputProps={{
                  startAdornment: (
                    <InputAdornment position="start">
                      <AddPhotoAlternateIcon />
                    </InputAdornment>
                  )
                }}
              />
            </DialogContent>
            <DialogActions>
              <Button onClick={this.handleClose} color="primary">
                ยกเลิก
              </Button>
              <Button
                onClick={this.handleCloseAndSave}
                color="primary"
                autoFocus
              >
                ยืนยัน
              </Button>
            </DialogActions>
          </Dialog>
        </div>
      </div>
    );
  }
}

export default compose(withStyles(styles), withRouter)(Databeautician);
