import React from "react";
import { makeStyles } from "@material-ui/core/styles";
import Input from "@material-ui/core/Input";
import InputLabel from "@material-ui/core/InputLabel";
import InputAdornment from "@material-ui/core/InputAdornment";
import FormControl from "@material-ui/core/FormControl";
import TextField from "@material-ui/core/TextField";
import Grid from "@material-ui/core/Grid";
import AccountCircle from "@material-ui/icons/AccountCircle";
import AddPhotoAlternateIcon from "@material-ui/icons/AddPhotoAlternate";
import MailOutlineIcon from "@material-ui/icons/MailOutline";
import VpnKeyIcon from "@material-ui/icons/VpnKey";
import Button from "@material-ui/core/Button";

const useStyles = makeStyles(theme => ({
  root: {
    "& > *": {
      margin: theme.spacing(1),
      width: 200
    }
  }
}));

export default function BasicTextFields() {
  const classes = useStyles();

  return (
    <div>
      <div className="row center">
        <h2>เข้าสู่ระบบ</h2>
        <div>
          <TextField
            className={classes.margin}
            id="outlined-uncontrolled"
            label="E_mail"
            
            variant="outlined"
            InputProps={{
              startAdornment: (
                <InputAdornment position="start">
                  <MailOutlineIcon />
                </InputAdornment>
              )
            }}
          />
          </div><br></br>
          <div>
          <TextField
            className={classes.margin}
            id="outlined-password-input"
            label="Password"
            type="password"
            autoComplete="current-password"
            variant="outlined"
            InputProps={{
              startAdornment: (
                <InputAdornment position="start">
                  <VpnKeyIcon />
                </InputAdornment>
              )
            }}
          />
        </div><br></br>
        <div>
          <Button variant="contained" color="primary" disableElevation>
            เข้าสู่ระบบ
          </Button>
          <h5>หรือ</h5>
          <Button variant="contained" color="primary" disableElevation>
            เข้าสู่ระบบด้วย Facebook
          </Button>
        </div>
      </div>
    </div>
  );
}
