import React from "react";
import { makeStyles } from "@material-ui/core/styles";
import Input from "@material-ui/core/Input";
import InputLabel from "@material-ui/core/InputLabel";
import InputAdornment from "@material-ui/core/InputAdornment";
import FormControl from "@material-ui/core/FormControl";
import TextField from "@material-ui/core/TextField";
import Grid from "@material-ui/core/Grid";
import AccountCircle from "@material-ui/icons/AccountCircle";
import AddPhotoAlternateIcon from "@material-ui/icons/AddPhotoAlternate";
import MailOutlineIcon from "@material-ui/icons/MailOutline";
import VpnKeyIcon from "@material-ui/icons/VpnKey";
import Button from "@material-ui/core/Button";

const useStyles = makeStyles(theme => ({
  margin: {
    margin: theme.spacing(1)
  }
}));

export default function InputWithIcon() {
  const classes = useStyles();

  return (
    <div className="row center">
      <h2>ลงทะเบียน</h2>
      <br></br>
      <div>
        <TextField
          className={classes.margin}
          id="outlined-uncontrolled"
          label="ชื่อ-สกุล"
          variant="outlined"
          InputProps={{
            startAdornment: (
              <InputAdornment position="start">
                <AccountCircle />
              </InputAdornment>
            )
          }}
        />

        <TextField
          className={classes.margin}
          id="outlined-uncontrolled"
          label="E_mail"
          variant="outlined"
          InputProps={{
            startAdornment: (
              <InputAdornment position="start">
                <MailOutlineIcon />
              </InputAdornment>
            )
          }}
        />
      </div>
      <br></br>
      <div>
        <TextField
          className={classes.margin}
          id="outlined-password-input"
          label="Password"
          type="password"
          autoComplete="current-password"
          variant="outlined"
          InputProps={{
            startAdornment: (
              <InputAdornment position="start">
                <VpnKeyIcon />
              </InputAdornment>
            )
          }}
        />

        <TextField
          className={classes.margin}
          id="outlined-password-input"
          label="Confirm-Password"
          type="password"
          autoComplete="current-password"
          variant="outlined"
          InputProps={{
            startAdornment: (
              <InputAdornment position="start">
                <VpnKeyIcon />
              </InputAdornment>
            )
          }}
        />
      </div>
      <br></br>
      <div>
        <TextField
          className={classes.margin}
          id="outlined-file-input"
          label="เพิ่มรูปภาพ"
          type="file"
          autoComplete="current-password"
          variant="outlined"
          InputProps={{
            startAdornment: (
              <InputAdornment position="start">
                <AddPhotoAlternateIcon />
              </InputAdornment>
            )
          }}
        />
      </div>
      <br></br>
      <div className={classes.root}>
        <Button variant="contained" color="secondary">
          ยกเลิก
        </Button>{" "}
        &nbsp; &nbsp; &nbsp;
        <Button variant="contained" color="primary">
          ลงทะเบียน
        </Button>
      </div>
    </div>
  );
}
