import React, { Component } from "react";
import { withStyles } from "@material-ui/core/styles";
import compose from "recompose/compose";
import { withRouter } from "react-router-dom";
import AppBar from "../../components/AppBra";
import Button from "@material-ui/core/Button";
import Card from "@material-ui/core/Card";
import CardActions from "@material-ui/core/CardActions";
import CardContent from "@material-ui/core/CardContent";

import Typography from "@material-ui/core/Typography";

const styles = theme => ({
  root: {
    minWidth: 275
  },
  bullet: {
    display: "inline-block",
    margin: "0 2px",
    transform: "scale(0.8)"
  },
  title: {
    fontSize: 14
  },
  pos: {
    marginBottom: 12
  }
});
class ShopPage extends Component {
  render() {
    const { classes } = this.props;
    const bull = <span className={classes.bullet}>•</span>;
    return (
      <div>
        <AppBar />
        <div className="row ">
          <div className="row mt-2 mb-2">
            <div className="col s12 m6 l6">
              <center>
                <h3>ชื่อ</h3>
              </center>
            </div>
          </div>
          <div className="row mt-2 mb-2">
            <div className="col s12 m6 l8">
              <div>
                <img
                  src="https://www.smeleader.com/wp-content/uploads/2018/05/%E0%B9%81%E0%B8%9F%E0%B8%A3%E0%B8%99%E0%B9%84%E0%B8%8A%E0%B8%AA%E0%B9%8C%E0%B8%A3%E0%B9%89%E0%B8%B2%E0%B8%99%E0%B9%80%E0%B8%AA%E0%B8%A3%E0%B8%B4%E0%B8%A1%E0%B8%AA%E0%B8%A7%E0%B8%A2-%E0%B8%A3%E0%B8%A7%E0%B8%A1%E0%B9%81%E0%B8%9A%E0%B8%A3%E0%B8%99%E0%B8%94%E0%B9%8C%E0%B8%A3%E0%B9%89%E0%B8%B2%E0%B8%99%E0%B8%8B%E0%B8%B2%E0%B8%A5%E0%B8%AD%E0%B8%99-%E0%B8%AA%E0%B8%B2%E0%B8%99%E0%B8%9D%E0%B8%B1%E0%B8%99%E0%B8%98%E0%B8%B8%E0%B8%A3%E0%B8%81%E0%B8%B4%E0%B8%88%E0%B8%97%E0%B8%A3%E0%B8%87%E0%B8%9C%E0%B8%A1.jpg"
                  width="90%"
                ></img>
              </div>
              <div className="row center">
                <Button variant="contained" color="secondary">
                  รายการ
                </Button>{" "}
                &nbsp; &nbsp; &nbsp;
                <Button variant="contained" color="primary">
                  จองคิว
                </Button>
              </div>
            </div>

            <div className="col s12 m6 l4">
              <div className="row">
                <h4> ที่อยู่ : 85 Sathonlamak Rd, Mueang Si Khai, Warin Chamrap District, Ubon Ratchathani 34190</h4>
              </div>

              <div className="row">
                <center>
                  <img
                    src="https://lh3.googleusercontent.com/proxy/wF4hP1ITvhgYYaNaiAVTwuKzkAESOzL-PBNcSqC8xoR-cg2m2ztZVOc8B0gvjhF-3b0AXlJ2a_hV1X_XjNHqBGCKR-I-RdzGiMRSw0wVv-uv88ELTATaE4jBpyNILc20PSsLxpgQSpS-etDENw"
                    width="70%"
                  ></img>
                </center>
              </div>
              <div className="row">
                <h4>เบอร์โทร :08xxxxxx</h4>
                <h4>เวลาเปิด : 08:00 น.</h4>
                <h4>เวลาปิด : 18:00 น.</h4>
              </div>
            </div>
          </div>

          <div className="row mt-2 mb-2">
            <div className="col s12 m6 l7">
              <div className="row center">
              <Card className={classes.root} variant="outlined">
                <h4>ผลงานช่าง นาย</h4>
                <div className="col s12 m6 l4">
                  <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcSAaEt_unwBuDLyqCP_bW3PBawVHkjZrNq-F3u7mAKtSjmBTrHE"></img>
                </div>
                <div className="col s12 m6 l4">
                  <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcSAaEt_unwBuDLyqCP_bW3PBawVHkjZrNq-F3u7mAKtSjmBTrHE"></img>
                </div>
              </Card>
              </div>
            </div>
            <div className="col s12 m6 l1"></div>
            <div className="col s12 m6 l4">
              <div className="row">
                <center></center>
              </div>
              <div className="row">
                <Card className={classes.root} variant="outlined">
                  <CardContent>
                    <Typography
                      className={classes.title}
                      color="textSecondary"
                      gutterBottom
                    >
                      โปรโมชั่น
                    </Typography>
                    <Typography variant="h5" component="h2">
                      be{bull}nev{bull}o{bull}lent
                    </Typography>
                    <Typography className={classes.pos} color="textSecondary">
                      adjective
                    </Typography>
                    <Typography variant="body2" component="p">
                      well meaning and kindly.
                      <br />
                      {'"a benevolent smile"'}
                    </Typography>
                  </CardContent>
                  <CardActions>
                    <Button size="small">Learn More</Button>
                  </CardActions>
                </Card>
              </div>
              <div className="row">
                <Card className={classes.root} variant="outlined">
                  <CardContent>
                    <Typography
                      className={classes.title}
                      color="textSecondary"
                      gutterBottom
                    >
                     รีวิว
                    </Typography>
                    <Typography variant="h5" component="h2">
                      be{bull}nev{bull}o{bull}lent
                    </Typography>
                    <Typography className={classes.pos} color="textSecondary">
                      adjective
                    </Typography>
                    <Typography variant="body2" component="p">
                      well meaning and kindly.
                      <br />
                      {'"a benevolent smile"'}
                    </Typography>
                  </CardContent>
                  <CardActions>
                    <Button size="small">Learn More</Button>
                  </CardActions>
                </Card>
              </div>
              <div className="row right">
                <Button variant="contained" color="primary">
                  เขียนรีวิว
                </Button>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }
}

export default compose(withStyles(styles), withRouter)(ShopPage);
